# Generated by Django 4.0.3 on 2023-10-18 14:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('hats_rest', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='LocationVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('closet_name', models.CharField(max_length=100)),
                ('section_number', models.PositiveSmallIntegerField()),
                ('shelf_number', models.PositiveSmallIntegerField()),
            ],
        ),
        migrations.RenameField(
            model_name='hat',
            old_name='location_in_wardrobe',
            new_name='fabric',
        ),
        migrations.AlterField(
            model_name='hat',
            name='color',
            field=models.CharField(max_length=10),
        ),
        migrations.AlterField(
            model_name='hat',
            name='picture_url',
            field=models.URLField(max_length=400),
        ),
        migrations.AddField(
            model_name='hat',
            name='location',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hat', to='hats_rest.locationvo'),
        ),
    ]
